import { Event } from "../../../../base/common/event.js";
import { IChatMode } from "@codingame/monaco-vscode-2339d6ac-d6bb-53cd-95ee-81911735d1c7-common/vscode/vs/workbench/contrib/chat/common/chatModes";
export declare const IChatModeService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IChatModeService>;
export interface IChatModeService {
    readonly _serviceBrand: undefined;
    readonly onDidChangeChatModes: Event<void>;
    getModes(): {
        builtin: readonly IChatMode[];
        custom: readonly IChatMode[];
    };
    findModeById(id: string): IChatMode | undefined;
    findModeByName(name: string): IChatMode | undefined;
}
